STOR 'T' to actplans
USE actplans index actplans
@ 18,0
@ 16,0
SET intensity off
@ 3,54 say chr(27)+chr(94)
@ 3,54 say 'ACTION PLANNING SUBSYSTEM'
@ 3,77 say chr(27)+chr(113)
SET intensity on
@ 5,50 say 'A - Display action plan topics'
@ 6,50 say 'B - Make planning item entries'
@ 7,50 say 'C - Scan the planning database'
@ 8,50 say 'D - Display/edit a action plan'
@ 9,50 say 'E - Go to general action plans'
@ 14,50 say 'R - Return to main system menu'
SET intensity off
@ 16,54 say "Option (0-9; A-D or R)? "
SET console off
WAIT to option
SET console on
IF val(option)>0 .or. option='0'
DO changeop
RETU
ENDI
DO CASE
CASE !(option)='A'
ERAS
SET intensity on
@ 1,0 say 'ACTION PLANNING TOPICS ON FILE'
SET intensity off
GOTO top
STOR 3 to row
STOR 0 to col
DO WHIL .not. eof
@ row,col say note:subj
STOR note:subj to hold
SKIP
DO WHIL note:subj=hold .and. .not. eof
SKIP
ENDD
STOR row+1 to row
IF row=18
STOR 3 to row
STOR col+40 to col
ENDI
IF col>40 .and. .not. eof
STOR ' ' to option
@ 20,0 say 'More... Continue or Exit (C/E)';
get option
READ
IF !(option)='E'
RETU
ELSE
ERAS
STOR 3 to row
STOR 0 to col
@ 1,0 say 'ACTION PLANNING TOPICS ON FILE'
ENDI
ENDI
ENDD
@ 20,0 say 'Press RETURN to return to menu...'
?
WAIT to return
CASE !(option)='B'
ERAS
GOTO bottom
@ 2,5 say 'Enter action plan notes below - press RETURN to skip unused lines...'
DO notecard
CASE !(option)='C'
SET intensity on
GOTO top
BROW
PACK
CASE !(option)='D'
ERAS
GOTO top
STOR '                              ' to subj
@ 22,0 say 'Please enter topic of action plan';
get subj
READ
STOR 'T' to actplans
DO WHIL actplans='T' .and. .not. eof
FIND &subj
DO notecard
@ 22,8 say 'Continue to search topic (Y/N)';
get cont
READ
IF !(cont)#'Y'
STOR 'F' to actplans
PACK
ENDI
ENDD
CASE !(option)='E'
ERAS
QUIT to 'textedit b:actplans.txt','dbase wstation'
ENDC
RETU
